<?php
/**
 * Pengumuman Beranda
 */
?> 

    <div class="outer_video clear">
	    <div class="home_video">
		

        <?php // query
		    $args = array(
			    'post_type' => 'video', 
			    'posts_per_page' => 4, 
			);
		    query_posts($args);
			?>
	            <div class="bot_head vvid"><span class="re_video"><?php press_re_video(); ?></span></div>
				<?php 
				    if (have_posts()) {
						while (have_posts()): the_post();
						    global $post;
							$vidembed = get_post_meta($post->ID, '_vidembed', true); 
						    ?>
							
							    <div class="vid_block">
							        <div class="box_vid">
								    	<iframe width="600" height="400" src="<?php echo esc_url( 'https://www.youtube.com/embed/'. rawurlencode( $vidembed ) .'' ); ?>" frameborder="0" allowfullscreen></iframe>
									</div>
								</div>
							
							<?php 
						endwhile;
					} 
				?>
		<?php wp_reset_query(); ?>
        </div>
    </div>